Freemarker升级到新版本后Eclipse插件的升级问题

我们使用的Freemarker eclipse插件时官方推荐的Jboos Tools,将项目的Freemarker版本由2.3.18升级到了2.3.23,由此带来一个问题,Freemarker的2.3.23版本支持一些新的内建(BuiltIn)指令,比如${somevalue?then("","")},而基于之前版本开发的Jboos Tools并不支持,所以编辑器会显示语法错误,为了避免编辑器误提示此类错

继续阅读>>

Freemarker 2.3.20版本更新须知


在FTL语言层面:
(一)错误和提示信息的质量得到了提升,更易于阅读且更有助于排查错误信息。
(二)字符串和布尔值间的相互转换及格式化得到了更好的支持,?c指令已经支持boolean值了
(三)为数值变量增加了三个内置指令:abs, is_nan, is_infinite,分别求
继续阅读>>